using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class WaveInstantiatorScript : MonoBehaviour {

	public static WaveInstantiatorScript instance;

	public string[] waveNames;
	public GameObject[] waveObjects;

	public Dictionary<string, GameObject> waveDictionary;

	// Use this for initialization
	void Start () {
		instance = this;

		waveDictionary = new Dictionary<string,GameObject> ();
		for (int i = 0; i < waveNames.Length; i++) {
			waveDictionary.Add (waveNames[i], waveObjects[i]);
		}
	}

	void Update(){
		
	}

	public GameObject createWave(string name, Vector3 position){
		GameObject wave = Instantiate (waveDictionary[name], position, Quaternion.identity) as GameObject;
		return wave;
	}
}
